#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

DESTDIR = $(CURDIR)/debian/tmp/$(OCAML_STDLIB_DIR)
# Do not compile dynlink files for now..
DEB_MAKE_BUILD_TARGET := OCAML_DYNLINK="" all

ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
  DEB_MAKE_BUILD_TARGET += opt
endif

%:
	dh $@ --with ocaml

override_dh_auto_build:
	$(MAKE) $(DEB_MAKE_BUILD_TARGET)

override_dh_auto_install:
	mkdir -p $(DESTDIR)
	$(MAKE) install OCAMLFIND_DESTDIR=$(DESTDIR) OCAMLFIND_LDCONF=ignore
